API ReferenceapiaccountingGET /v1/accounts/{id}/ledger

GET /v1/accounts/\{id\}/ledger

Service: accounting · operationId: (none)

Required scopes

(no scope declared — review service config)

Path parameters

  • id (string) required

Query parameters

  • cursor (string) —
  • limit (integer) —

Responses

200 Paginated ledger entries for the account

{
  "type": "object",
  "properties": {
    "data": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string"
          },
          "transaction_id": {
            "type": "string"
          },
          "account_id": {
            "type": "string"
          },
          "amount_cents": {
            "type": "string",
            "description": "Amount in cents as string (bigint)"
          },
          "memo": {
            "type": [
              "string",
              "null"
            ]
          },
          "created_at": {
            "type": "string"
          }
        },
        "required": [
          "id",
          "transaction_id",
          "account_id",
          "amount_cents",
          "memo",
          "created_at"
        ]
      }
    },
    "next_cursor": {
      "type": [
        "string",
        "null"
      ]
    }
  },
  "required": [
    "data",
    "next_cursor"
  ]
}

404 Account not found

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X GET https://accounting.platform.loop.health/v1/accounts/{id}/ledger \
  -H "Authorization: Bearer $ACCESS_TOKEN"